;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; NAME:umask
;
; PURPOSE:calcule umask
;
; CATEGORY:fonction economisatrice de memoire (plus besion de garder
; umask)  
;
; CALLING SEQUENCE:res=umask()
;
; INPUTS:
;
; KEYWORD PARAMETERS:
;
; OUTPUTS:un tableau 3d correspondant a umask
;
; COMMON BLOCKS:
;	common.pro
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; EXAMPLE:s''utilise comme si umask etait un tableau connu en
; replacant ds la syntaxe umask par umask(). par ex:
; au lieu de taper umask[domaineu] il faut taper (umask())[domaineu]

;
; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
;                       11/12/98
;                       ??/6/99 introduction du key_shift
;                       20/9/99 cas jpk=1 (merci jpblod@ipsl.jussieu.fr)
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
FUNCTION umask
   tempsun = systime(1)         ; pour key_performance
@common
   if jpk EQ 1 then begin
      res = tmask*shift(tmask, -1, 0)
      if NOT keyword_set(key_periodique) then res[jpi-1, *] = umaskred
   ENDIF ELSE BEGIN 
      res = tmask*shift(tmask, -1, 0, 0)
      if NOT keyword_set(key_periodique) then res[jpi-1, *, *] = umaskred
   ENDELSE
;
   if keyword_set(key_performance) THEN print, 'temps umask', systime(1)-tempsun 
;
   return, res
end
